Package ru.bitel.bgbilling.kernel.sequence.common.bean.enums

# Enum Class BGSequenceMode

java.lang.Object
java.lang.Enum<BGSequenceMode>
ru.bitel.bgbilling.kernel.sequence.common.bean.enums.BGSequenceMode

All Implemented Interfaces:
  `Serializable`, `Comparable<BGSequenceMode>`, `Constable`

public enum BGSequenceMode extends Enum<BGSequenceMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY`
  `MONTH`
  `OFF`
  `WEEK`
  `YEAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BGSequenceMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BGSequenceMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OFF

    public static final BGSequenceMode OFF

  - ### YEAR

    public static final BGSequenceMode YEAR

  - ### MONTH

    public static final BGSequenceMode MONTH

  - ### WEEK

    public static final BGSequenceMode WEEK

  - ### DAY

    public static final BGSequenceMode DAY

- ## Method Details

  - ### values

    public static BGSequenceMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BGSequenceMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null